Package org.eclipse.jgit.transport

## Class OpenSshConfig

- java.lang.Object
- - org.eclipse.jgit.transport.OpenSshConfig

    public class OpenSshConfig
    extends Object

Simple configuration parser for the OpenSSH ~/.ssh/config file.

Since JSch does not (currently) have the ability to parse an OpenSSH configuration file this is a simple parser to read that file and make the critical options available to `SshSessionFactory`.

### Nested Class Summary

Nested Classes
`static class` `OpenSshConfig.Host` Configuration of one "Host" block in the configuration file.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static OpenSshConfig` `get​(FS fs)` Obtain the user's configuration data.
`OpenSshConfig.Host` `lookup​(String hostName)` Locate the configuration for a specific host request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### get

    public static OpenSshConfig get​(FS fs)

Obtain the user's configuration data.

The configuration file is always returned to the caller, even if no file exists in the user's home directory at the time the call was made. Lookup requests are cached and are automatically updated if the user modifies the configuration file since the last time it was cached.

Parameters:
  `fs` - the file system abstraction which will be necessary to perform certain file system operations.
Returns:
  a caching reader of the user's configuration file.

#### lookup

    public OpenSshConfig.Host lookup​(String hostName)

Locate the configuration for a specific host request.

Parameters:
  `hostName` - the name the user has supplied to the SSH tool. This may be a real host name, or it may just be a "Host" block in the configuration file.
Returns:
  r configuration for the requested name. Never null.